#******************************************************************************
#                                                                             *
#                                LayGO (tm)                                   *
#           Copyright (c) 1998-2000 by Advanced Relay Corporation             *
#                           All rights reserved.                              *
#                                                                             *
#******************************************************************************
#
#  $Source: q:/laygorcs/Laygo.tcl $
#
#      $Id: Laygo.tcl 1.1 2000/03/08 20:36:27 tiktin Exp $
#
#  MODULE DESCRIPTION
#
#    Laygo package module for LayGO for Tcl/Tk (all platforms).
#
#******************************************************************************

package provide Laygo 2.2

namespace eval Laygo {
	variable SUMMARY_MAX 8
	variable STAT_MAX 32
	variable INVALID_CID -1
	variable INVALID_PROTOCOL -1
	variable INVALID_EVENT -1
	variable INVALID_STATE -2
	variable INVALID_MAJOR_ID -1
	variable INVALID_MINOR_ID -1
	variable ERROR_MIN -52
	variable ERROR_INVALID_USER_ID -51
	variable ERROR_INVALID_HARDWARE_VERSION -50
	variable ERROR_INVALID_DRIVER_VERSION -49
	variable ERROR_CLIENTS_CONNECTED -48
	variable ERROR_SERVER_NOT_CONNECTED -47
	variable ERROR_SERVER_CONNECTED -46
	variable ERROR_INVALID_CONFIGURATION -45
	variable ERROR_INVALID_PROTOCOL -44
	variable ERROR_CONFIGURATION_FILE_WRITE_ERROR -43
	variable ERROR_INVALID_DRIVER_CONFIGURATION -42
	variable ERROR_INVALID_STACK_CONFIGURATION -41
	variable ERROR_PROTOCOL_BLOCKING -40
	variable ERROR_INVALID_WRITE_DATA_SIZE -39
	variable ERROR_WRITE_QUEUE_FULL -38
	variable ERROR_SERVER_NOT_FOUND -37
	variable ERROR_SERVER_ACCESS_NOT_ENABLED -36
	variable ERROR_DRIVER_MODULE_FILE_NOT_FOUND -35
	variable ERROR_DRIVER_MODULE_FILE_READ_ERROR -34
	variable ERROR_INVALID_STACK_ID -33
	variable ERROR_INVALID_BOARD_ID -32
	variable ERROR_DRIVER_MODULE_INITIALIZATION_FAILURE -31
	variable ERROR_INVALID_DRIVER_MODULE -30
	variable ERROR_DRIVER_NOT_INSTALLED -29
	variable ERROR_HARDWARE_CONFIGURATION_CONLICT -28
	variable ERROR_INVALID_HARDWARE_CONFIGURATION -27
	variable ERROR_SPECIAL_DATA_WAITING -26
	variable ERROR_INVALID_CID -25
	variable ERROR_INVALID_COMMAND -24
	variable ERROR_INVALID_INPUT_BUFFER -23
	variable ERROR_INVALID_OUTPUT_BUFFER -22
	variable ERROR_BUFFER_SIZE -21
	variable ERROR_NO_SYSTEM_BUFFER -20
	variable ERROR_TRANSMISSION_BLOCKED -19
	variable ERROR_SERVICE_DATABASE_NOT_FOUND -18
	variable ERROR_SERVICE_UNKNOWN -17
	variable ERROR_SERVICE_NOT_AVAILABLE -16
	variable ERROR_EVENT_WAITING -15
	variable ERROR_DATA_WAITING -14
	variable ERROR_NOTHING_WAITING -13
	variable ERROR_INVALID_IOCTL_FUNCTION -12
	variable ERROR_INVALID_IOCTL_PARAMETERS -11
	variable ERROR_HARDWARE_INITIALIZATION_FAILURE -10
	variable ERROR_BUFFER_POOL_INITIALIZATION_FAILURE -9
	variable ERROR_STACK_INITIALIZATION_FAILURE -8
	variable ERROR_OUT_OF_CONNECTIONS -7
	variable ERROR_OUT_OF_MEMORY -6
	variable ERROR_CONFIGURATION_FILE_NOT_FOUND -5
	variable ERROR_CONFIGURATION_FILE_READ_ERROR -4
	variable ERROR_UNKNOWN_PROTOCOL -3
	variable ERROR_CONFIGURATION_NOT_DEFINED -2
	variable ERROR_CONFIGURATION_NOT_FOUND -1
	variable ERROR_MAX 0
	variable EVENT_CONNECT 0
	variable EVENT_DISCONNECT 1
	variable EVENT_CONFIRM 2
	variable EVENT_LISTEN 3
	variable EVENT_ACCEPT 4
	variable EVENT_REFUSE 5
	variable EVENT_CANCEL 6
	variable EVENT_WRITE 7
	variable EVENT_XOFF 8
	variable EVENT_XON 9
	variable EVENT_RESET 10
	variable EVENT_REOPEN 11
	variable EVENT_IOCTL 12
	variable EVENT_USER_EVENT_MAX 13
	variable EVENT_CONNECT_REQUEST 13
	variable EVENT_CONNECTED 14
	variable EVENT_CONNECT_TIMEOUT 15
	variable EVENT_CONNECT_ACCEPT 16
	variable EVENT_CONNECT_REFUSE 17
	variable EVENT_DISCONNECT_REQUEST 18
	variable EVENT_DISCONNECTED 19
	variable EVENT_DISCONNECTING 20
	variable EVENT_DISCONNECT_TIMEOUT 21
	variable EVENT_DISCONNECT_CONFIRMATION 22
	variable EVENT_XOFF_REQUEST 23
	variable EVENT_XON_REQUEST 24
	variable EVENT_RESETTING 25
	variable EVENT_RESET_COMPLETED 26
	variable EVENT_RESET_TIMEOUT 27
	variable EVENT_DATA_OK 28
	variable EVENT_DATA_LENGTH_ERROR 29
	variable EVENT_DATA_CRC_ERROR 30
	variable EVENT_DATA_ABORTED_FRAME 31
	variable EVENT_PROTOCOL_MESSAGE 32
	variable EVENT_PACKET_EVENT_MAX 33
	variable EVENT_MAX 33
	variable EVENT_DATA_SPECIAL 33
	variable EVENT_NONE -13
	variable PROTOCOL_SDLC_HARDWARE 0
	variable PROTOCOL_SYSTEM_BUFFER_POOL 1
	variable PROTOCOL_SYSTEM_STACK 2
	variable PROTOCOL_RESERVED_3 3
	variable PROTOCOL_X21_BIS 4
	variable PROTOCOL_HDLC_LAPB 5
	variable PROTOCOL_X25_MAJOR_DEVICE 6
	variable PROTOCOL_X25_PVC 7
	variable PROTOCOL_X25_SVC 8
	variable PROTOCOL_RETURN 9
	variable PROTOCOL_HDLC_NRM 10
	variable PROTOCOL_FRAME_RELAY_MAJOR_DEVICE 11
	variable PROTOCOL_FRAME_RELAY_VC 12
	variable PROTOCOL_FRAME_RELAY_SVC 13
	variable PROTOCOL_LAPD_MAJOR_DEVICE 14
	variable PROTOCOL_LAPD_TEI 15
	variable PROTOCOL_RESERVED_16 16
	variable PROTOCOL_RESERVED_17 17
	variable PROTOCOL_MAX 18
	variable STATE_CLOSED -1
	variable STATE_OPEN 0
	variable STATE_WAITING_FOR_REMOTE_ACCEPT 1
	variable STATE_LISTENING 2
	variable STATE_WAITING_FOR_LOCAL_ACCEPT 3
	variable STATE_DATA_TRANSFER_XON 4
	variable STATE_DATA_TRANSFER_XOFF 5
	variable STATE_RESETTING 6
	variable STATE_WAITING_FOR_REMOTE_CONFIRMATION 7
	variable STATE_WAITING_FOR_LOCAL_CONFIRMATION 8
	variable STATE_MAX 9
}

#******************************************************************************
#                                   End of File                               *
#******************************************************************************
